using Steema.TeeChart.Styles;

namespace TestProject
{
    /// <summary>
    ///  
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region  - MainForm()

        /// <summary>
        /// 
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            for(int i = 0; i < 10; i++)
            {
                Points points = new Points(this.tChart.Chart);

                points.FillSampleValues(20);
            }

            this.tChart.ClickLegend += tChart_ClickLegend;
            this.tChart.MouseClick  += tChart_MouseClick;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region ƼƮ  Ŭ óϱ - tChart_ClickLegend(sender, e)

        /// <summary>
        /// ƼƮ  Ŭ óϱ
        /// </summary>
        /// <param name="sender">̺Ʈ ߻</param>
        /// <param name="e">̺Ʈ </param>
        private void tChart_ClickLegend(object sender, MouseEventArgs e)
        {
            double legendItemHeight = (double)this.tChart.Legend.Height / (double)this.tChart.Series.Count;

            int heightOffset = this.tChart.Legend.Height - (this.tChart.Legend.Height - (e.Y - this.tChart.Legend.Top));

            int index = (int)((double)heightOffset / legendItemHeight);

            // .NET FRAMEWORK 
            //int index = this.tChart.Legend.Clicked(e.X, e.Y);

            if(index > -1)
            {
                for(int i = 0; i < this.tChart.Series.Count; i++)
                {
                    this.tChart[i].Transparency = 0;

                    if(i != index)
                    {
                        // õ  ׸ ϰ óѴ.
                        this.tChart[i].Transparency = 70;
                    }
                }
            }
        }

        #endregion
        #region ƼƮ 콺 Ŭ óϱ - tChart_MouseClick(sender, e)

        /// <summary>
        /// ƼƮ 콺 Ŭ óϱ
        /// </summary>
        /// <param name="sender">̺Ʈ ߻</param>
        /// <param name="e">̺Ʈ </param>
        private void tChart_MouseClick(object sender, MouseEventArgs e)
        {
            // Legend  ƴ   · 
            int index = this.tChart.Legend.Clicked(e.X, e.Y);

            if(index == -1)
            {
                for(int i = 0; i < this.tChart.Series.Count; i++)
                {
                    this.tChart[i].Transparency = 0;
                }
            }
        }

        #endregion
     }
}